# $Revision: 1.13 $, $Date: 2002/08/31 11:15:39 $
Summary:	Firewall building tool
Summary(pl):	Narzdzie wspomagajce budowanie firewalli
Name:		tree-firewall
Version:	0.2
Release:	1
Epoch:		1
License:	GPL
Group:		Networking/Admin
Vendor:		Olgierd Pieczul <wojrus@pld.org.pl>
Source0:	ftp://ftp.pld.org.pl/people/wojrus/tree-firewall/%{name}-%{version}.tar.gz
Prereq:		/sbin/chkconfig
#Requires:	firewall-userspace-tool
Requires:	rc-scripts, tree
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Conflicts:	firewall-init

%define		_sbindir	/sbin

%description
tree-firewall is a tool helping in building firewalls. It sets and
remove rule-sets. It can be also used as a SysV-init statup script.

%description -l pl
tree-firewall jest narzdziem wspomagajcym budowanie firewalli.
Ustawia i usuwa zestawy regu. Moe by te uywany jako skrypt
startowy SysV.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/{sysconfig,firewall,rc.d/init.d},%{_sbindir},%{_datadir}/%{name},/tmp/tree-firewall,%{_mandir}/man8}

install firewall $RPM_BUILD_ROOT/etc/rc.d/init.d/firewall
install functions-* $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -s /etc/rc.d/init.d/firewall $RPM_BUILD_ROOT%{_sbindir}/rc.firewall

echo "# tree-firewall config file" > $RPM_BUILD_ROOT/etc/sysconfig/firewall
install firewall.8 $RPM_BUILD_ROOT%{_mandir}/man8
echo ".so firewall.8" > $RPM_BUILD_ROOT%{_mandir}/man8/rc.firewall.8

%post
echo -n "Trying to identify which userspace tool do you use... "
echo -ne "\n#USERSPACE_TOOL=" >> /etc/sysconfig/firewall
if [ -f /usr/sbin/iptables -o -f /sbin/iptables ]; then
	echo "iptables"
	echo "iptables" >> /etc/sysconfig/firewall
elif [ -f /sbin/ipchains -o -f /usr/sbin/ipchains ]; then
	echo "ipchains"
	echo "ipchains" >> /etc/sysconfig/firewall
else
	echo "failed!"
	echo "unknown" >> /etc/sysconfig/firewall
fi
echo "You should modify /etc/sysconfig/firewall"

/sbin/chkconfig --add firewall

%preun
if [ "$1" = "0" ]; then
	/sbin/chkconfig --del firewall
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,750)
%doc README ChangeLog
%dir %{_sysconfdir}/firewall
%dir /tmp/tree-firewall
%attr(755,root,root) %{_sbindir}/rc.firewall
%attr(755,root,root) %{_datadir}/%{name}
%attr(754,root,root) /etc/rc.d/init.d/firewall
%attr(640,root,root) %verify(not size mtime md5) %config(noreplace) /etc/sysconfig/firewall
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: tree-firewall.spec,v $
Revision 1.13  2002/08/31 11:15:39  wojrus
- Epoch: 1
- STBR

Revision 1.12  2002/08/31 10:42:20  wojrus
- new version (0.2)
- s#/var/run#/tmp#
- small fixes
- STBR!

Revision 1.11  2002/08/11 18:38:03  kloczek
- added rc.firewall.8 roff link to firewall(8) man page.

Revision 1.10  2002/08/11 18:21:03  kloczek
- start using %%{_sbindir}/rc.<name> symlinks schame for init scripts,
- some cosmertics.

Revision 1.9  2002/08/11 17:10:28  wojrus
- version 0.2.pre4
- STBR

Revision 1.8  2002/08/11 16:43:01  wojrus
- cosmetics

Revision 1.7  2002/07/17 08:26:00  wojrus
- new version (0.2pre3)

Revision 1.6  2002/06/24 10:38:45  wojrus
- typo

Revision 1.5  2002/06/24 10:36:24  wojrus
- new version (0.2pre2)

Revision 1.4  2002/06/15 16:17:17  wojrus
- chmod -x /etc/sysconfig/firewall

Revision 1.3  2002/06/15 15:46:47  wojrus
- new version 0.2pre1
- new %doc
- userspace tool guessing
- changed permitions to data files

Revision 1.2  2002/03/28 19:50:35  kloczek
- cosmetics.

Revision 1.1  2002/03/28 10:03:29  wojrus
- initial spec
- needs testing
